# Logs

***

## Get logs

> Get logs for the provided filters

```json
{"openapi":"3.1.1","info":{"title":"ByteNite jobs API","version":"0.1"},"tags":[],"servers":[{"url":"https://api.bytenite.com/v1/customer"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"logsGetLogsResponse":{"type":"object","properties":{"partitioner":{"type":"array","items":{"$ref":"#/components/schemas/logsLogInstance"}},"assembler":{"type":"array","items":{"$ref":"#/components/schemas/logsLogInstance"}},"taskrunner":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/logsLogInstances"}}}},"logsLogInstance":{"type":"object","properties":{"log":{"type":"string","title":"The log message, this is the actual log message received from the loki server"},"timestamp":{"type":"string","format":"date-time","title":"The timestamp of the log message"},"level":{"$ref":"#/components/schemas/logsLogLevel","title":"The log level of the log message"},"container":{"type":"string","title":"Container name from which the log message was generated"}}},"logsLogLevel":{"type":"string","enum":["UNKNOWN","TRACE","DEBUG","INFO","WARN","ERROR","FATAL","PANIC"],"default":"UNKNOWN"},"logsLogInstances":{"type":"object","properties":{"logs":{"type":"array","items":{"$ref":"#/components/schemas/logsLogInstance"}}}},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string"}},"additionalProperties":{}},"logsGetLogsRequest":{"type":"object","properties":{"jobId":{"type":"string","title":"The job id for which you want to get the logs"},"taskIds":{"type":"array","items":{"type":"string"},"title":"The task ids for which you want to get the logs"},"levels":{"type":"array","items":{"$ref":"#/components/schemas/logsLogLevel"},"title":"The log levels you want to get the logs for"},"services":{"type":"array","items":{"$ref":"#/components/schemas/logsLogService"},"title":"The services you want to get the logs for"}},"required":["jobId"]},"logsLogService":{"type":"string","enum":["PARTITIONER","ASSEMBLER","TASKRUNNER"],"default":"PARTITIONER"}}},"paths":{"/logs":{"post":{"summary":"Get logs","description":"Get logs for the provided filters","operationId":"Customer_GetLogs","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/logsGetLogsResponse"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/logsGetLogsResponse"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"tags":["Logs"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/logsGetLogsRequest"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/logsGetLogsRequest"}}},"required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bytenite.com/api-reference/customer-api/logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
